org.springframework.jdbc.core.metadata

## Class SybaseCallMetaDataProvider

- java.lang.Object
- - org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider
  - - org.springframework.jdbc.core.metadata.SybaseCallMetaDataProvider

All Implemented Interfaces:
  CallMetaDataProvider

    public class SybaseCallMetaDataProvider
    extends GenericCallMetaDataProvider

Sybase specific implementation for the `CallMetaDataProvider` interface. This class is intended for internal use by the Simple JDBC classes.

Since:
  2.5
Author:
  Thomas Risberg

### Field Summary

### Fields inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

`logger`

### Constructor Summary

Constructors
Constructor and Description
`SybaseCallMetaDataProvider(DatabaseMetaData databaseMetaData)`

### Method Summary

Methods
`boolean` `byPassReturnParameter(String parameterName)` Should we bypass the return parameter with the specified name.
`String` `parameterNameToUse(String parameterName)` Provide any modification of the column name passed in to match the meta data currently used.

### Methods inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

`catalogNameToUse, createDefaultInOutParameter, createDefaultInParameter, createDefaultOutParameter, getCallParameterMetaData, getRefCursorSqlType, getUserName, initializeWithMetaData, initializeWithProcedureColumnMetaData, isProcedureColumnMetaDataUsed, isRefCursorSupported, isReturnResultSetSupported, isStoresLowerCaseIdentifiers, isStoresUpperCaseIdentifiers, isSupportsCatalogsInProcedureCalls, isSupportsSchemasInProcedureCalls, metaDataCatalogNameToUse, metaDataSchemaNameToUse, procedureNameToUse, schemaNameToUse, setStoresLowerCaseIdentifiers, setStoresUpperCaseIdentifiers, setSupportsCatalogsInProcedureCalls, setSupportsSchemasInProcedureCalls`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SybaseCallMetaDataProvider

    public SybaseCallMetaDataProvider(DatabaseMetaData databaseMetaData)
                               throws SQLException

Throws:
  `SQLException`

### Method Detail

#### parameterNameToUse

    public String parameterNameToUse(String parameterName)

Description copied from interface: `CallMetaDataProvider`
Provide any modification of the column name passed in to match the meta data currently used. This could include altering the case.

Specified by:
  `parameterNameToUse` in interface `CallMetaDataProvider`
Overrides:
  `parameterNameToUse` in class `GenericCallMetaDataProvider`
Parameters:
  `parameterName` - name of the parameter of column

#### byPassReturnParameter

    public boolean byPassReturnParameter(String parameterName)

Description copied from interface: `CallMetaDataProvider`
Should we bypass the return parameter with the specified name. This allows the database specific implementation to skip the processing for specific results returned by the database call.

Specified by:
  `byPassReturnParameter` in interface `CallMetaDataProvider`
Overrides:
  `byPassReturnParameter` in class `GenericCallMetaDataProvider`